package javax.imageio.stream;

import java.io.IOException;
import java.io.DataOutput;

public interface ImageOutputStream extends ImageInputStream, DataOutput
{
    public abstract void write(int p0) throws IOException;
    
    public abstract void write(byte[] p0) throws IOException;
    
    public abstract void write(byte[] p0, int p1, int p2) throws IOException;
    
    public abstract void writeBoolean(boolean p0) throws IOException;
    
    public abstract void writeByte(int p0) throws IOException;
    
    public abstract void writeShort(int p0) throws IOException;
    
    public abstract void writeChar(int p0) throws IOException;
    
    public abstract void writeInt(int p0) throws IOException;
    
    public abstract void writeLong(long p0) throws IOException;
    
    public abstract void writeFloat(float p0) throws IOException;
    
    public abstract void writeDouble(double p0) throws IOException;
    
    public abstract void writeBytes(String p0) throws IOException;
    
    public abstract void writeChars(String p0) throws IOException;
    
    public abstract void writeUTF(String p0) throws IOException;
    
    public abstract void writeShorts(short[] p0, int p1, int p2) throws IOException;
    
    public abstract void writeChars(char[] p0, int p1, int p2) throws IOException;
    
    public abstract void writeInts(int[] p0, int p1, int p2) throws IOException;
    
    public abstract void writeLongs(long[] p0, int p1, int p2) throws IOException;
    
    public abstract void writeFloats(float[] p0, int p1, int p2) throws IOException;
    
    public abstract void writeDoubles(double[] p0, int p1, int p2) throws IOException;
    
    public abstract void writeBit(int p0) throws IOException;
    
    public abstract void writeBits(long p0, int p1) throws IOException;
    
    public abstract void flushBefore(long p0) throws IOException;
}
